# 创建专属商品目录优惠促销活动

创建专属商品目录优惠促销活动。

Endpoint: POST /v3/project/{project_id}/admin/unique_catalog_offer
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    项目ID。您可以在发布商帐户的项目名称旁找到此参数；使用项目时，也可以在浏览器地址栏中找到此参数。URL格式如下：https://publisher.xsolla.com//projects/。
    Example: 44056

## Request fields (application/json):

  - `external_id` (string, required)
    唯一促销活动ID。 external_id只能包含大小写英文字母和数字字符、句点、破折号和下划线。

  - `date_start` (string,null)
    促销活动开始日期。

  - `date_end` (string,null)
    促销活动结束日期。可以是null。如果date_end 为null，则促销活动无时间限制。

  - `name` (object, required)
    促销活动名称。应包含键/值对，
其中键是"^[a-z]{2}-[A-Z]{2}$"格式的区域设置，值是字符串。

  - `items` (array)
    使用专属商品目录优惠后可用的商品SKU列表。
    Example: ["booster_mega_1"]

  - `redeem_user_limit` (integer,null)
    限制单个用户兑换的优惠券总数。

  - `redeem_code_limit` (integer,null)
    每个代码的核销次数。

  - `redeem_total_limit` (integer,null)
    限制优惠券的总数。

## Response 201 fields (application/json):

  - `external_id` (string)
    唯一促销活动ID。 external_id只能包含大小写英文字母和数字字符、句点、破折号和下划线。

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 422 fields (application/json):

  - `statusCode` (integer)
    Example: 422

  - `errorCode` (integer)
    Example: 1102

  - `errorMessage` (string)
    Example: "[0401-1102]: Unprocessable Entity. The property `external_id` is required"


